#!/usr/bin/perl

use strict;
use warnings;

use SOAP::Lite;

my $site = 'http://bp4smdemo.hpsweducation.com:13080/SM/7';

my $soap = SOAP::Lite->new(
    proxy => "$site/ws",
    service => "$site/ConfigurationManagement.wsdl",
    default_ns => $site);

my $som = $soap->call('RetrieveContactKeysList');

print "Fault\n" if ($som->fault);

print $som->valueof('//RetrieveContactKeysListResponse/keys') . "\n";
